package com.ruoyi.system.domain.projectV2;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 招商引资_省库项目_到资金额对象 zsyz_sk_dzje
 * 
 * @author boman
 * @date 2023-03-28
 */
public class ZsyzSkDzje extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 省库项目ID */
    @Excel(name = "省库项目ID")
    private Long skId;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String xmmc;

    /** 单位名称 */
    @Excel(name = "单位名称")
    private String dwmc;

    /** 注资金额 */
    @Excel(name = "注资金额")
    private Long zzje;

    /** 到位日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "到位日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date dwrq;

    /** 是否审核 1:未审核 2:已审核 3:已拒绝 */
    @Excel(name = "是否审核 1:未审核 2:已审核 3:已拒绝")
    private String isSh;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setSkId(Long skId) 
    {
        this.skId = skId;
    }

    public Long getSkId() 
    {
        return skId;
    }
    public void setXmmc(String xmmc) 
    {
        this.xmmc = xmmc;
    }

    public String getXmmc() 
    {
        return xmmc;
    }
    public void setDwmc(String dwmc) 
    {
        this.dwmc = dwmc;
    }

    public String getDwmc() 
    {
        return dwmc;
    }

    public Long getZzje() {
        return zzje;
    }

    public void setZzje(Long zzje) {
        this.zzje = zzje;
    }

    public void setDwrq(Date dwrq)
    {
        this.dwrq = dwrq;
    }

    public Date getDwrq() 
    {
        return dwrq;
    }
    public void setIsSh(String isSh) 
    {
        this.isSh = isSh;
    }

    public String getIsSh() 
    {
        return isSh;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("skId", getSkId())
            .append("xmmc", getXmmc())
            .append("dwmc", getDwmc())
            .append("zzje", getZzje())
            .append("dwrq", getDwrq())
            .append("isSh", getIsSh())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
